/*
* Binary and Source Code License Agreement for jV Version 4.3.1
* Copyright (c) 2003-2013, Protein Data Bank Japan
* All rights reserved.
* 
* The software, jV, and the associated documentation files (the 
* "Software") were developed by Drs. Kengo Kinoshita and Haruki Nakamura 
* in Protein Data Bank Japan at Institute for Protein Research, Osaka 
* University (the "Contributors"), which is supported by grant-in-aid 
* from National Bioscience Database Center, Japan Science and Technology
* Agancy (JST-NBDC) and Osaka University.
* 
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions 
* are met:
* 
* *  Redistributions of the source code for the Software must retain the
*    above copyright notice, this list of conditions and the following
*    disclaimer.
* 
* *  Redistributions in the binary form for the Software must reproduce
*    the above copyright notice, this list of conditions and the following
*    disclaimer in the documentation and/or other materials provided with
*    the distribution.
* 
* *  Neither the name of the Institute for Protein Research, Osaka University
*    nor the names of the Contributors may be used to endorse or promote
*    products derived from this software without specific prior written
*    permission.
* 
*    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
*    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
*    FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
*    COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
*    INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
*    BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
*    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
*    CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
*    LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
*    ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
*    POSSIBILITY OF SUCH DAMAGE.
*/
package org.pdbj.viewer.controller;

/**
 * Viewer constants.
 */
public interface ViewerConstants
{
    public static final float MAX_BOND_RADIUS = 2.0f;
    public static final float MAX_BALL_RADIUS = 3.0f;
    public static final float MAX_RIBBON_WIDTH = 4.0f;
    public static final float MIN_CARTOON_HEIGHT = 0.01f;
    public static final float MAX_CARTOON_HEIGHT = 2.0f;
    public static final float MIN_ZOOM_RATIO = 0.1f;
    public static final int   MIN_DRAWLEVEL = 2;
    public static final int   DEFAULT_DRAWLEVEL = 10;
    public static final float DEFAULT_SPECULAR_RATIO = 0.5f;
    public static final float DEFAULT_SHININESS = 64.5f;
    public static final float DEFAULT_STEREO_ANGLE = 3;
    public static final float DEFAULT_RATIO = 0.75f;
    public static final float DEFAULT_NEAR_CLIP = 1;
    public static final float DEFAULT_FAR_CLIP = 100000;
    public static final float DEFAULT_FIELD_ANGLE = (float)Math.PI/4;
    public static final float DEFAULT_AMBIENT = 0.33f;
    public static final float DEFAULT_DIFFUSE1 = 0.50f;
    public static final float DEFAULT_DIFFUSE2 = 0.50f;
    public static final float DEFAULT_DIFFUSE1_X = -1;
    public static final float DEFAULT_DIFFUSE1_Y = -1;
    public static final float DEFAULT_DIFFUSE1_Z = -1;
    public static final float DEFAULT_DIFFUSE2_X = 1;
    public static final float DEFAULT_DIFFUSE2_Y = -1;
    public static final float DEFAULT_DIFFUSE2_Z = -1;
}
