/*
* Binary and Source Code License Agreement for jV Version 4.3.1
* Copyright (c) 2003-2013, Protein Data Bank Japan
* All rights reserved.
* 
* The software, jV, and the associated documentation files (the 
* "Software") were developed by Drs. Kengo Kinoshita and Haruki Nakamura 
* in Protein Data Bank Japan at Institute for Protein Research, Osaka 
* University (the "Contributors"), which is supported by grant-in-aid 
* from National Bioscience Database Center, Japan Science and Technology
* Agancy (JST-NBDC) and Osaka University.
* 
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions 
* are met:
* 
* *  Redistributions of the source code for the Software must retain the
*    above copyright notice, this list of conditions and the following
*    disclaimer.
* 
* *  Redistributions in the binary form for the Software must reproduce
*    the above copyright notice, this list of conditions and the following
*    disclaimer in the documentation and/or other materials provided with
*    the distribution.
* 
* *  Neither the name of the Institute for Protein Research, Osaka University
*    nor the names of the Contributors may be used to endorse or promote
*    products derived from this software without specific prior written
*    permission.
* 
*    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
*    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
*    FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE 
*    COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, 
*    INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
*    BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
*    LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
*    CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
*    LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
*    ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
*    POSSIBILITY OF SUCH DAMAGE.
*/
package org.pdbj.viewer.writers;

/**
 * Frequency list.
 */
class FrequencyList
{
    private static final int CAPACITY = 50;

    private FrequencyData[] _list;
    private int _cnt;

    FrequencyData[] getList()
    {
        return _list;
    }
        
    FrequencyList()
    {
        _list = new FrequencyData[CAPACITY];
    }
        
    void add(float value)
    {
        int i;
        for(i=0; i<_cnt; i++)
        {
            if(_list[i].value == value){
                _list[i].count++;
                break;
            }
        }
        if(i == _cnt){
            FrequencyData data = new FrequencyData();
            data.value = value;
            data.count = 1;
            if(_cnt == CAPACITY){
                _list[_cnt - 1] = data;
            }
            else{
                _list[_cnt++] = data;
            }
        }
        else{
            FrequencyData data = _list[i];
            while(i > 0){
                if(_list[i-1].count <= data.count){
                    _list[i] = _list[i-1];
                }
                else break;
                i--;
            }
            _list[i] = data;
        }
    }

    void clear()
    {
        for(int i=0; i<CAPACITY; i++){
            _list[i] = null;
        }
        _cnt = 0;
    }
}
